declare const Embed: any;
type Data = {
    denotationChar: string;
    id: string;
    value: string;
};
export declare class MentionBlot extends Embed {
    static blotName: string;
    static tagName: string;
    static className: string;
    private mounted;
    private hoverHandler;
    private clickHandler;
    constructor(scroll: any, node: any);
    static create(data: Data): HTMLElement;
    static setDataValues(element: HTMLElement, data: Data): HTMLElement;
    static value(domNode: any): any;
    attach(): void;
    detach(): void;
    getClickHandler(): (e: Event) => void;
    getHoverHandler(): (e: Event) => void;
    buildEvent(name: string, e: Event): any;
}
export {};
